#include <iostream>
#include <string>
using namespace std;

int main()
{
    string t;
    string s;
    cin>>t;
    cin>>s;
    int n=t.length();
    int m=s.length();
    int br=0;
    int broj_slova[m];
    for(int i=0;i<m;i++){
        broj_slova[i]=0;
    }
    bool ista_slova=true;
    char slovo=s[0];
    for(int i=1;i<m;i++){
        if(s[i]!=slovo){
            ista_slova=false;
            break;
        }
    }
    if(ista_slova){
        int x=m,y=0;
        for(int i=0;i<n;i++){
            if(t[i]==s[0]){
                y++;
            }
            if(y>=x && t[i]==s[0]){
                t[i]='*';
                br++;
            }
        }
    }
    else{
        int l=-1,d=-1;
        l=t.find(s[0]);
        if(l!=-1){
            for(int i=n-1;i>l;i--){
                if(t[i]==s[m-1]){
                    d=i;
                    break;
                }
            }
            if(d!=-1){
                for(int i=l;i<=d;i++){
                    for(int j=0;j<m;j++){
                        if(t[i]==s[j]){
                            broj_slova[j]++;
                            break;
                        }
                    }
                }
                int index=0;
                int vrednost=broj_slova[0];
                for(int i=1;i<m;i++){
                    if(broj_slova[i]<vrednost){
                        vrednost=broj_slova[i];
                        index=i;
                    }
                }
                for(int i=l;i<=d;i++){
                    if(s[index]==t[i]){
                        t[i]='*';
                        br++;
                    }
                }
            }
        }
    }
    cout<<br<<"\n"<<t;
    return 0;
}